import { jsx as t } from "react/jsx-runtime";
import r from "react-shadow/emotion";
import { styled as o } from "../../Theme/index.js";
function l({ svg: i, ...n }) {
  return /* @__PURE__ */ t(e, { ...n, children: /* @__PURE__ */ t(d, { dangerouslySetInnerHTML: { __html: i } }) });
}
const e = o(r.span)`
  display: block;
  width: 100%;
  height: 100%;
`, d = o("div")`
  &,
  & > svg {
    height: 100%;
    width: 100%;
    min-width: 100%;
    max-width: 100%;
  }
`;
export {
  l as default
};
